list_entities_for_policy¶
Operation¶
list_entities_for_policy
async
¶
list_entities_for_policy(request: ListEntitiesForPolicyInput | ListEntitiesForPolicyInputDict, /, *, plugins: list[Plugin] | None = None) -> ListEntitiesForPolicyOutput
list_entities_for_policy(*, plugins: list[Plugin] | None = None, **kwargs: Unpack[ListEntitiesForPolicyInputDict]) -> ListEntitiesForPolicyOutput
Lists all IAM users, groups, and roles that the specified managed policy is attached to.
You can use the optional EntityFilter parameter to limit the results
to a particular type of entity (users, groups, or roles). For example,
to list only the roles that are attached to the specified policy, set
EntityFilter to Role.
You can paginate the results using the MaxItems and Marker
parameters.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
plugins
|
list[Plugin] | None
|
A list of callables that modify the configuration dynamically. Changes made by these plugins only apply for the duration of the operation execution and will not affect any other operation invocations. |
None
|
Returns:
| Type | Description |
|---|---|
ListEntitiesForPolicyOutput
|
An instance of |
Input¶
Pass the input fields as keyword arguments, or pass a model or dictionary as the first positional argument. Pass plugins separately as a keyword argument.
Model¶
ListEntitiesForPolicyInput
dataclass
¶
Bases: _SerdeShape
Dataclass for ListEntitiesForPolicyInput structure.
Attributes¶
entity_filter
class-attribute
instance-attribute
¶
entity_filter: str | None = ...
The entity type to use for filtering the results.
For example, when EntityFilter is Role, only the roles that are
attached to the specified policy are returned. This parameter is
optional. If it is not included, all attached entities (users, groups,
and roles) are returned. The argument for this parameter must be one of
the valid values listed below.
marker
class-attribute
instance-attribute
¶
marker: str | None = ...
Use this parameter only when paginating results and only after you
receive a response indicating that the results are truncated. Set it to
the value of the Marker element in the response that you received to
indicate where the next call should start.
max_items
class-attribute
instance-attribute
¶
max_items: int | None = ...
Use this only when paginating results to indicate the maximum number of
items you want in the response. If additional items exist beyond the
maximum you specify, the IsTruncated response element is true.
If you do not include this parameter, the number of items defaults to
100. Note that IAM might return fewer results, even when there are more
results available. In that case, the IsTruncated response element
returns true, and Marker contains a value to include in the
subsequent call that tells the service where to continue from.
path_prefix
class-attribute
instance-attribute
¶
path_prefix: str | None = ...
The path prefix for filtering the results. This parameter is optional. If it is not included, it defaults to a slash (/), listing all entities.
This parameter allows (through its regex
pattern) a string of characters
consisting of either a forward slash (/) by itself or a string that must
begin and end with forward slashes. In addition, it can contain any
ASCII character from the ! (\u0021) through the DEL character
(\u007F), including most punctuation characters, digits, and upper and
lowercased letters.
policy_arn
class-attribute
instance-attribute
¶
policy_arn: str | None = ...
The Amazon Resource Name (ARN) of the IAM policy for which you want the versions.
For more information about ARNs, see Amazon Resource Names (ARNs) in the Amazon Web Services General Reference.
policy_usage_filter
class-attribute
instance-attribute
¶
policy_usage_filter: str | None = ...
The policy usage method to use for filtering the results.
To list only permissions policies, set PolicyUsageFilter to
PermissionsPolicy. To list only the policies used to set permissions
boundaries, set the value to PermissionsBoundary.
This parameter is optional. If it is not included, all policies are returned.
Dictionaries¶
ListEntitiesForPolicyInputDict
¶
Bases: TypedDict
Dictionary form of ListEntitiesForPolicyInput.
Attributes¶
entity_filter
instance-attribute
¶
entity_filter: str | None
The entity type to use for filtering the results.
For example, when EntityFilter is Role, only the roles that are
attached to the specified policy are returned. This parameter is
optional. If it is not included, all attached entities (users, groups,
and roles) are returned. The argument for this parameter must be one of
the valid values listed below.
marker
instance-attribute
¶
marker: str | None
Use this parameter only when paginating results and only after you
receive a response indicating that the results are truncated. Set it to
the value of the Marker element in the response that you received to
indicate where the next call should start.
max_items
instance-attribute
¶
max_items: int | None
Use this only when paginating results to indicate the maximum number of
items you want in the response. If additional items exist beyond the
maximum you specify, the IsTruncated response element is true.
If you do not include this parameter, the number of items defaults to
100. Note that IAM might return fewer results, even when there are more
results available. In that case, the IsTruncated response element
returns true, and Marker contains a value to include in the
subsequent call that tells the service where to continue from.
path_prefix
instance-attribute
¶
path_prefix: str | None
The path prefix for filtering the results. This parameter is optional. If it is not included, it defaults to a slash (/), listing all entities.
This parameter allows (through its regex
pattern) a string of characters
consisting of either a forward slash (/) by itself or a string that must
begin and end with forward slashes. In addition, it can contain any
ASCII character from the ! (\u0021) through the DEL character
(\u007F), including most punctuation characters, digits, and upper and
lowercased letters.
policy_arn
instance-attribute
¶
The Amazon Resource Name (ARN) of the IAM policy for which you want the versions.
For more information about ARNs, see Amazon Resource Names (ARNs) in the Amazon Web Services General Reference.
policy_usage_filter
instance-attribute
¶
policy_usage_filter: str | None
The policy usage method to use for filtering the results.
To list only permissions policies, set PolicyUsageFilter to
PermissionsPolicy. To list only the policies used to set permissions
boundaries, set the value to PermissionsBoundary.
This parameter is optional. If it is not included, all policies are returned.
Output¶
ListEntitiesForPolicyOutput
dataclass
¶
Bases: _SerdeShape
Contains the response to a successful ListEntitiesForPolicy request.
Attributes¶
is_truncated
class-attribute
instance-attribute
¶
is_truncated: bool = ...
A flag that indicates whether there are more items to return. If your
results were truncated, you can make a subsequent pagination request
using the Marker request parameter to retrieve more items. Note that
IAM might return fewer than the MaxItems number of results even when
there are more results available. We recommend that you check
IsTruncated after every call to ensure that you receive all your
results.
marker
class-attribute
instance-attribute
¶
marker: str | None = ...
When IsTruncated is true, this element is present and contains the
value to use for the Marker parameter in a subsequent pagination
request.
policy_groups
class-attribute
instance-attribute
¶
policy_groups: list[PolicyGroup] | None = ...
A list of IAM groups that the policy is attached to.
policy_roles
class-attribute
instance-attribute
¶
policy_roles: list[PolicyRole] | None = ...
A list of IAM roles that the policy is attached to.
policy_users
class-attribute
instance-attribute
¶
policy_users: list[PolicyUser] | None = ...
A list of IAM users that the policy is attached to.
response_metadata
class-attribute
instance-attribute
¶
Metadata about the response that produced this output. Use this to recover the request identifiers a service's support team needs in order to investigate a call. Members of the metadata are individually optional.